#[cfg(not(target_os = "windows"))]
use std::process::Command;

#[cfg(not(target_os = "windows"))]
fn main() {
    Command::new("asciidoctor")
        .arg("-b")
        .arg("manpage")
        .arg("-o")
        .arg("../../target/release/assets/get-cwe.1")
        .arg("docs/get-cwe.adoc")
        .output()
        .expect("asciidoctor failed");

    Command::new("gzip")
        .arg("../../target/release/assets/get-cwe.1")
        .output()
        .expect("Fail for gzip running");
}

#[cfg(target_os = "windows")]
fn main() {}
